Create Data Ref
POST
/api/canvas/{deal_id}/data-refs
const url = 'https://example.com/api/canvas/example/data-refs';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"sourceType":"example","sourceLabel":"example","sourceId":"example","location":"example","cellRef":"example","sheetName":"example","pageNumber":1,"extractedValue":"example","displayValue":"example","confidence":1,"createdBy":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/canvas/example/data-refs \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "sourceType": "example", "sourceLabel": "example", "sourceId": "example", "location": "example", "cellRef": "example", "sheetName": "example", "pageNumber": 1, "extractedValue": "example", "displayValue": "example", "confidence": 1, "createdBy": "example" }'Create a new data reference. Returns the created ref with its generated refId.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
Request Body required
Section titled “Request Body required ” Media type application/json
CreateDataRefRequest
Request body for creating a new data reference.
object
sourceType
required
Sourcetype
string
sourceLabel
required
Sourcelabel
string
Example generated
{ "sourceType": "example", "sourceLabel": "example", "sourceId": "example", "location": "example", "cellRef": "example", "sheetName": "example", "pageNumber": 1, "extractedValue": "example", "displayValue": "example", "confidence": 1, "createdBy": "example"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
Response Create Data Ref Api Canvas Deal Id Data Refs Post
object
key
additional properties
any
Example generated
{}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}